<?php

namespace CouponsPlus\App\Offers\Abilities;

use CouponsPlus\App\Offers\OffersScheduler;
use CouponsPlus\Original\Collections\Collection;

Interface Offers
{
    public function apply(OffersScheduler $offersScheduler);
    public function canBeApplied() : bool;
    public function getIds(): Collection;
}